Como instalar "Pidgin-Webkit" en cualquier distribución GNU/Linux (no solo en Ubuntu) – ACTUALIZADO

>

En esta red de interfaces brillantes, esquinas redondeadas y “eye-candy” a la orden del día, es raro ver cómo un mensajero tan funcional como Pidgin tenga una interfaz de conversación tan anticuada (tan “del 2000″), y aunque existen alternativas a Pidgin dentro de GNU/Linux, como Empathy, o Kopete, hay que aceptar que tal vez el mensajero de la paloma púrpura es uno de los mejores.
4728667628 8fb5b88731  Como instalar "Pidgin Webkit" en cualquier distribución GNU/Linux (no solo en Ubuntu)   ACTUALIZADO
Para conseguir una mejor apariencia en las ventanas de conversación de Pidgin, vamos a instalar el complemento “Pidgin-Webkit“, y aunque tal vez usuarios de Ubuntu, o inclusive Fedora y Debian encuentren paquetes compilados para ellos, nunca está de más trabajar un poco con la consola. Así que haremos lo siguiente:
ACTUALIZADO: Al parecer este truco no funciona en Ubuntu Lucid (y no sé si en Debian), ya que hay “arreglos” específicos para Ubuntu, aún así funcionará en otras distros.
1. Cumplir con las dependencias:
1.1 Pidgin (Duhh)
1.2 libwebkit (Si has instalado paquetes como Midori, o los paneles de contexto de Rhythmbox, Exaile o Banshee, lo más seguro es que lo tengas, de todas maneras verifica con tu gestor de paquetes)
1.3 BZR Esta herramienta nos permitirá acceder a repositorios Bazaar de Launchpad desde cualquier distribución
1.4 patch Este paquete viene predeterminado en muchas distribuciones, aún así, es bueno verificarlo (en una instalación nueva de Arch Linux es posible que este paquete no este instalado)
2. Es muy recomendable que tengas una carpeta destinada a paquetes que descargues desde SVN, git, bzr, mercurial y demás, así que abre una consola en esa carpeta y teclea:
$ bzr branch lp:pidgin-webkit
Se creará una carpeta llamada “pidgin-webkit”, ahora entramos a esa carpeta.
3. Descargamos el siguiente parche desde aquí y lo colocamos dentro de la carpeta “pidgin-webkit”
4. Dentro de la carpeta, haremos lo siguiente:
4.1 Ejecutamos make como usuario normal:
$ make
4.2 Parcheamos nuestro paquete:
$ patch -i pidgin-webkit-tempfile-2.patch ; Tendremos un mensaje como “patching file webkit.c”
4.3 Continuamos con la instalación:
$ sudo make install
5. Con esto ya tendremos el complemento Pidgin-Webkit. Para activarlo, abrimos Pidgin y en Herramientas > Complementos, buscamos “WebKit Message styles“. Para usar los temas de Adium en Pidgin, vamos aquí, y descargamos el tema que deseemos, de los que encontramos aquí puedo decir que funcionan perfectamente en Pidgin:


Puedes revisar la lista de compatibilidad de temas de Adium con Empathy (y que posiblemente funcionen con Pidgin) aquí.
Para instalar los temas, debes descomprimir los archivos que descargues y colocarlos en la carpeta “~/.purple/message-styles/
La principal ventaja que ofrece este añadido con respecto a la característica presente por defecto en Empathy es, la posibilidad de seleccionar las variantes de estos temas (algunos inclusive se compartan mejor en Pidgin que en empathy), y la capacidad de deshabilitar/desinstalar este añadido a voluntad.
Espero que les sirva tanto como a mí.
  • Cibeles -

    gracias por la guía, muy buena, lo he hecho todo, parece que funciona, es decir que me aparece el plugin, pero ¿cómo elijo el estilo? los he descomprimido todos en ~/.purple/message-styles pero no los puedo elegir desde el pidgin, ¿qué estoy haciendo mal?
    gracias!

    • Miguel parada

       Hola Cibeles, la guía es un poco antigua. Tenemos pendiente actualizarlo en cuanto Pidgin lance una nueva versión. En principio parece que estas haciendo lo correcto.

      • Cibeles -

         ah, ok gracias.
        Uso F17, todo va bien pero no puedo elegir ninguno de los temas y es más, no veo lo q me escriben o escribo, he tenido que desactivar el plugin :(

  • Pingback: Cómo instalar temas Adium en Pidgin (Ubuntu) • Artescritorio.com()

  • AlbertoAru

    ¿Se pueden instalar temas de empathy en pidgin?¿Cómo se haría?